/*
 * Copyright (c) 2019 Alibaba Group Holding Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/*
 * Sync local time with the ntp-server.
 */

'use strict';

var exec = require('child_process').exec;
var ntpClient = require('./node_modules/ntp-client');
const ntpServerCn = "cn.pool.ntp.org";
const ntpServerAliyun = "ntp1.aliyun.com";
const ntpServerGlobal = "pool.ntp.org";

function syncNetworkTime(callback) {
  ntpClient.getNetworkTime(ntpServerAliyun, 123, function(err, date) {
    if(err) {
        console.error(err);
        return;
    }
    var curDate = new Date(date);

    console.log("NTP return : " + curDate);
    var curMonth = parseInt(curDate.getMonth())+1;
    var strDate = curDate.getFullYear() + '-' + curMonth + '-' + curDate.getDate() + ' ' + curDate.getHours() + ':' + curDate.getMinutes() + ':' + curDate.getSeconds();

    var cmdStr = 'date -s ' + '"' + strDate + '"';
    console.log("Set date : %s", strDate);
    exec(cmdStr, function(err,stdout,stderr){
      if(err) {
        console.log(cmdStr + ' error:' + stderr);
        callback(err, stderr);
      } else {
        console.log(stdout);
        callback(null, stdout);
      }
    });
  });
}

exports.handler = function (event, context, callback) {
  console.log("-- Start to SyncNetworkTime.");
  syncNetworkTime(callback);
};
