#! /bin/bash

if [ -z "$FC_NO_ISOLATION" ]; then
    effective_uid=$("id" | grep -o "uid=[0-9]*" | cut -d= -f2)
    if [ $effective_uid -ne 0 ]
    then
        echo -e "\033[1;31mThe script needs to be run as root.\033[0m"
        exit 1;
    fi
fi

GATEWAY_ROOT=$(readlink -f $(dirname $0)/..)

cd `dirname $0`

${Q}echo ""
${Q}echo "----------------------------------------------------------"
${Q}echo "            Stop Link IoT Edge Services                    "
${Q}echo "----------------------------------------------------------"
${Q}echo ""
pids=`ps -eo user,pid,ppid,stat,args | grep nginx | grep -v grep | awk '{print $2}'`
if [ -n "$pids" ]; then
    ${Q}echo -e "[  \033[0;31m-\033[0m  ]  Stop Running Service:  OpenAPI/WebConsole"
    kill -s 9 $pids
fi

#stop web console
${GATEWAY_ROOT}/bin/stopEweb.sh &>/dev/null

#stop other service
if [ $# == 1 ] ; then
        ${GATEWAY_ROOT}/script.rc/stop.sh "$1"
else
        ${GATEWAY_ROOT}/script.rc/stop.sh
fi


